LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-14-2019, 12:28 AM   #1
shrinivas.d
LQ Newbie
 
Registered: Jul 2019
Posts: 10

Rep: Reputation: Disabled
How to download all required dependencies for required rpm package


hi there,

I'm new to linux i am trying to install rdesktop rpm package using rpm -ivh command bust it says pcsc-lite dependency needed.

please tell me where can i get all the required dependencies or is there any command i can download.

this is task given by my teacher please do not suggest yum.
 
Old 07-14-2019, 12:32 AM   #2
GlennsPref
Senior Member
 
Registered: Apr 2004
Location: Brisbane, Australia
Distribution: pclinuxos
Posts: 3,409
Blog Entries: 33

Rep: Reputation: 222Reputation: 222Reputation: 222
Try here, you will need to know what distribution of gnu/linux you have installed and the version.

https://pkgs.org/
 
Old 07-14-2019, 12:48 AM   #3
shrinivas.d
LQ Newbie
 
Registered: Jul 2019
Posts: 10

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by GlennsPref View Post
Try here, you will need to know what distribution of gnu/linux you have installed and the version.

https://pkgs.org/

I'm using the centos6.4
 
Old 07-14-2019, 03:18 AM   #4
berndbausch
Senior Member
 
Registered: Nov 2013
Location: Tokyo
Distribution: Redhat/Centos, Ubuntu, Raspbian, Fedora, Alpine, Cirros, OpenSuse/SLES
Posts: 3,079

Rep: Reputation: 807Reputation: 807Reputation: 807Reputation: 807Reputation: 807Reputation: 807Reputation: 807
Quote:
I'm using the centos6.4
Then use the yum command:
Code:
yum localinstall YOURPACKAGE.rpm
If that doesn’t work, you will have to do it manually. I.e. run rpm, note down the missing packages, download them, run rpm again etc until you get no errors.
 
Old 07-14-2019, 07:04 AM   #5
GlennsPref
Senior Member
 
Registered: Apr 2004
Location: Brisbane, Australia
Distribution: pclinuxos
Posts: 3,409
Blog Entries: 33

Rep: Reputation: 222Reputation: 222Reputation: 222
http://mirror.centos.org/centos/6/os...el6.x86_64.rpm

the rest of these are probably installed already.
Code:
Requires
Name 	         Value
/sbin/chkconfig 	-
hal 	-
initscripts 	-
libc.so.6(GLIBC_2.4)(64bit) 	-
libdbus-1.so.3()(64bit) 	-
libdl.so.2()(64bit) 	-
libdl.so.2(GLIBC_2.2.5)(64bit) 	-
libhal.so.1()(64bit) 	-
libpthread.so.0()(64bit) 	-
libpthread.so.0(GLIBC_2.2.5)(64bit) 	-
librt.so.1()(64bit) 	-
pcsc-ifd-handler 	-
rtld(GNU_HASH) 	-
I hope that helps you.
 
Old 07-14-2019, 09:58 AM   #6
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 21,546

Rep: Reputation: 5674Reputation: 5674Reputation: 5674Reputation: 5674Reputation: 5674Reputation: 5674Reputation: 5674Reputation: 5674Reputation: 5674Reputation: 5674Reputation: 5674
Quote:
Originally Posted by shrinivas.d View Post
hi there,
I'm new to linux i am trying to install rdesktop rpm package using rpm -ivh command bust it says pcsc-lite dependency needed. please tell me where can i get all the required dependencies or is there any command i can download.
Putting your question in to Google pulls up over 480,000 hits, and the very first one tells you how to do this.
Quote:
this is task given by my teacher please do not suggest yum.
This is your second verbatim homework question, that shows zero effort on your part:
https://www.linuxquestions.org/quest...me-4175657156/

...and now you're TELLING US what to suggest to you, so you can turn in your homework? What research/effort have you put in to things? What have you looked up/done/tried? As you were told before, we're happy to help you if you're stuck, or to clarify things, but you, personally, have to show some effort.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] No package 'x11' found No package 'xext' found No package 'xdamage' found No package 'xfixes' found No package 'x11-xcb' found Jigsaw Linux From Scratch 12 04-25-2019 07:33 AM
How to find and download all the dependencies of a package? sparkling Linux - Newbie 16 10-11-2018 01:43 PM
[SOLVED] Download rpm package with dependencies smilemukul Linux - Newbie 3 10-10-2012 11:56 PM
[SOLVED] how can I download and install a debian package with all dependencies gujedan Linux - Newbie 7 03-05-2011 05:26 PM
I recieve a failed dependencies error, but I have all required dependencies Laptop2250 Linux - Software 15 02-03-2004 07:58 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 09:35 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration